Contact Image

Set or update a contact image

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Just as with showing a contact image, setting or updating an image is done with binary image data only.

When adding or updating a contact image, you should correctly set the Content-Type header. The image data will be validated before responding, and a response status of 400 Bad Request will be returned if the data cannot be parsed correctly.

Example

curl -x "PUT" "https://api.marketcircle.net/v1/contacts/{id}/image" \
	-H 'Authorization: Bearer '\
	-H 'Accept: image/jpeg' \
	-H 'content-type: image/jpeg'\
--data-binary @/Users/name/Downloads/mj.jpeg
Path Params
integer
required
Body Params
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!